
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef HUEBLOB_SCAN_H
#define HUEBLOB_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/stereopixelScan.h"

#include "server/viamScan.h"

#include "server/pomScan.h"


/* Structures du module */
#include "hueblobPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_HUEBLOB_BLOB_POSTER_STR ( FILE *in, FILE *out,
       struct HUEBLOB_BLOB_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_HueBlobIds ( FILE *in, FILE *out,
       struct HueBlobIds *x, int indent, int nDim, int *dims );
extern int scan_struct_HueBlobTrackChessboard ( FILE *in, FILE *out,
       struct HueBlobTrackChessboard *x, int indent, int nDim, int *dims );
extern int scan_struct_HueBlobTrackBlob ( FILE *in, FILE *out,
       struct HueBlobTrackBlob *x, int indent, int nDim, int *dims );
extern int scan_struct_HueBlobBox ( FILE *in, FILE *out,
       struct HueBlobBox *x, int indent, int nDim, int *dims );
extern int scan_struct_HueBlob3DBox ( FILE *in, FILE *out,
       struct HueBlob3DBox *x, int indent, int nDim, int *dims );
extern int scan_struct_HueBlob3DPoint ( FILE *in, FILE *out,
       struct HueBlob3DPoint *x, int indent, int nDim, int *dims );
extern int scan_struct_HueBlobImageBox ( FILE *in, FILE *out,
       struct HueBlobImageBox *x, int indent, int nDim, int *dims );
extern int scan_struct_HueBlobInput ( FILE *in, FILE *out,
       struct HueBlobInput *x, int indent, int nDim, int *dims );
extern int scan_struct_HueBlobObject ( FILE *in, FILE *out,
       struct HueBlobObject *x, int indent, int nDim, int *dims );
extern int scan_enum_HueBlobBool ( FILE *in, FILE *out,
       enum HueBlobBool *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_HueBlobBool ( FILE *in, FILE *out,
       HueBlobBool *x, int indent, int nDim, int *dims );
extern int scan_HueBlobObject ( FILE *in, FILE *out,
       HueBlobObject *x, int indent, int nDim, int *dims );
extern int scan_HueBlobInput ( FILE *in, FILE *out,
       HueBlobInput *x, int indent, int nDim, int *dims );
extern int scan_HueBlobImageBox ( FILE *in, FILE *out,
       HueBlobImageBox *x, int indent, int nDim, int *dims );
extern int scan_HueBlob3DPoint ( FILE *in, FILE *out,
       HueBlob3DPoint *x, int indent, int nDim, int *dims );
extern int scan_HueBlob3DBox ( FILE *in, FILE *out,
       HueBlob3DBox *x, int indent, int nDim, int *dims );
extern int scan_HueBlobBox ( FILE *in, FILE *out,
       HueBlobBox *x, int indent, int nDim, int *dims );
extern int scan_HueBlobTrackBlob ( FILE *in, FILE *out,
       HueBlobTrackBlob *x, int indent, int nDim, int *dims );
extern int scan_HueBlobTrackChessboard ( FILE *in, FILE *out,
       HueBlobTrackChessboard *x, int indent, int nDim, int *dims );
extern int scan_HueBlobIds ( FILE *in, FILE *out,
       HueBlobIds *x, int indent, int nDim, int *dims );
extern int scan_HUEBLOB_BLOB_POSTER_STR ( FILE *in, FILE *out,
       HUEBLOB_BLOB_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* HUEBLOB_SCAN_H */

